---
title: NameList
slug: Web/API/NameList
tags:
  - API
  - DOM
  - Obsolete
---
<div>{{APIRef("DOM")}} {{ obsolete_header("10.0") }}</div>

<div class="note">
<p><strong>Note:</strong> Although this interface was previously implemented in Gecko, there was no way to actually create one. <code>NameList</code> has been removed, effective with {{ Gecko("10.0") }}</p>
</div>

<p>The <code><strong>NameList</strong></code> interface provides an abstraction for an ordered collection of name and namespace value pairs. Items can be accessed by a 0-based index. The DOM spec does not specify how the collection is to be implemented.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("NameList.length")}} {{readonlyInline}}</dt>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("NameList.contains()")}}</dt>
 <dd>Returns a {{jsxref("Boolean")}}.</dd>
 <dt>{{domxref("NameList.containsNS()")}}</dt>
 <dd>Returns a {{jsxref("Boolean")}}.</dd>
 <dt>{{domxref("NameList.getName()")}}</dt>
 <dd>Returns a {{domxref("DOMString")}}.</dd>
 <dt>{{domxref("NameList.getNamespaceURI()")}}</dt>
 <dd>Returns a {{domxref("DOMString")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Core", "core.html#NameList", "NameList")}}</td>
   <td>{{Spec2("DOM3 Core")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
